package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.File_scriptRepository;
import com.realnet.basicp1.Entity.File_script
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;










	import org.springframework.stereotype.Service;

@Service
 public class File_scriptService {
@Autowired
private File_scriptRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;









public File_script Savedata(File_script data) {










	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
File_script save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<File_script> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<File_script> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<File_script> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public File_script getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public File_script update(File_script data,Integer id) {
	File_script old = Repository.findById(id).get();
old.setName(data.getName());

old.setDescription(data.getDescription());

old.setActive (data.isActive());

old.setType(data.getType());

 

final File_script test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 










 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
